aboutsummaryrefslogtreecommitdiff
path: root/system/steampipe-bin
diff options
context:
space:
mode:
authorWilly Sudiarto Raharjo <willysr@slackbuilds.org>2023-07-30 15:21:52 +0900
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2023-08-05 10:08:46 +0700
commitab9f9917dbd7253c308fbbdcb3303ae4ec29f785 (patch)
treed995ab74af6ef32c291ca188f37f2fa296e4c362 /system/steampipe-bin
parent12a2b7302f0839ae592ed87e2a8528b603ab6729 (diff)
system/steampipe-bin: Added (universal api interface).
Signed-off-by: Andrew Clemons <andrew.clemons@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/steampipe-bin')
-rw-r--r--system/steampipe-bin/README3
-rw-r--r--system/steampipe-bin/slack-desc19
-rw-r--r--system/steampipe-bin/steampipe-bin.SlackBuild71
-rw-r--r--system/steampipe-bin/steampipe-bin.info10
4 files changed, 103 insertions, 0 deletions
diff --git a/system/steampipe-bin/README b/system/steampipe-bin/README
new file mode 100644
index 0000000000000..d53f6197efd97
--- /dev/null
+++ b/system/steampipe-bin/README
@@ -0,0 +1,3 @@
+Steampipe is the universal interface to APIs.
+
+Use SQL to query cloud infrastructure, SaaS, code, logs, and more.
diff --git a/system/steampipe-bin/slack-desc b/system/steampipe-bin/slack-desc
new file mode 100644
index 0000000000000..d6495981898e4
--- /dev/null
+++ b/system/steampipe-bin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+steampipe-bin: steampipe-bin (universal interface to APIs)
+steampipe-bin:
+steampipe-bin: Steampipe is the universal interface to APIs.
+steampipe-bin:
+steampipe-bin: Use SQL to query cloud infrastructure, SaaS, code, logs, and more.
+steampipe-bin:
+steampipe-bin:
+steampipe-bin:
+steampipe-bin:
+steampipe-bin: Project URL: https://github.com/turbot/steampipe
+steampipe-bin:
diff --git a/system/steampipe-bin/steampipe-bin.SlackBuild b/system/steampipe-bin/steampipe-bin.SlackBuild
new file mode 100644
index 0000000000000..9ff47b64f5160
--- /dev/null
+++ b/system/steampipe-bin/steampipe-bin.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/bash
+
+# Slackware build script for steampipe-bin
+
+# Copyright 2023 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=steampipe-bin
+SRCNAM=steampipe
+VERSION=${VERSION:-0.20.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/${SRCNAM}_linux_amd64.tar.gz
+chown -R root:root steampipe
+strip --strip-unneeded steampipe
+
+mkdir -p $PKG/usr/bin
+cp steampipe $PKG/usr/bin
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/steampipe-bin/steampipe-bin.info b/system/steampipe-bin/steampipe-bin.info
new file mode 100644
index 0000000000000..bbc8b7cc3525a
--- /dev/null
+++ b/system/steampipe-bin/steampipe-bin.info
@@ -0,0 +1,10 @@
+PRGNAM="steampipe-bin"
+VERSION="0.20.9"
+HOMEPAGE="https://github.com/turbot/steampipe"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/turbot/steampipe/releases/download/v0.20.9/steampipe_linux_amd64.tar.gz"
+MD5SUM_x86_64="d9288baff8fc54ca323ca2da2f95aaff"
+REQUIRES=""
+MAINTAINER="Willy Sudiarto Raharjo"
+EMAIL="willysr@slackbuilds.org"